<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<window>
  <id>7890</id>
  <defaultcontrol>10</defaultcontrol>
  <allowoverlay>no</allowoverlay>
  <define>#header.image:lastfm_logo.png</define>
  <controls>
  <import>common.backgroundcolour.xml</import>
  <import>common.music.play.fanart.xml</import>
  <import>common.window.lastfm.xml</import>
    <import>common.time.xml</import>
    <control>
      <type>image</type>
      <description>artist art image</description>
      <id>112</id>
      <posX>966</posX>
      <posY>203</posY>
      <width>225</width>
      <height>225</height>
      <texture flipY="true" diffuse="Thumb_Mask.png" mask="Picturethumbmask.png">#Play.Current.Thumb</texture>
      <centered>yes</centered>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="150">WindowClose</animation>
    </control>
     <control>
      <type>image</type>
      <description>artist art image frame</description>
      <id>1</id>
      <posX>966</posX>
      <posY>203</posY>
      <width>230</width>
      <height>230</height>
      <texture flipY="true" diffuse="Thumb_Mask.png" mask="Picturethumbmask.png">Picturethumbframe.png</texture>
      <centered>yes</centered>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="150">WindowClose</animation>
    </control>
    <control>
      <description>start a stream</description>
      <type>button</type>
      <id>10</id>
      <posX>470</posX>
      <posY>162</posY>
      <label>34001</label>
      <onleft>15</onleft>
      <onright>123</onright>
      <onup>666</onup>
      <ondown>123</ondown>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>actiongroup</type>
      <description>action menu</description>
      <defaultcontrol>2</defaultcontrol>
      <onexit>123</onexit>
      <buttonX>0</buttonX>
      <buttonY>0</buttonY>
      <buttonwidth>106</buttonwidth>
      <buttonheight>720</buttonheight>
      <textureFocus>-</textureFocus>
      <textureNoFocus>-</textureNoFocus>
      <width>568</width>
      <height>900</height>
      <dimColor>00ffffff</dimColor>
      <control>
        <type>image</type>
        <posX>425</posX>
        <posY>57</posY>
        <width>429</width>
        <height>606</height>
        <texture>Backslide.png</texture>
        <colorDiffuse>fffffffff</colorDiffuse>
        <visible>!Control.HasFocus(123)</visible>
        <animation effect="zoom" start="10,10" end="100,100"  time="400"
        reversible="false">visible</animation>
       <animation effect="zoom" start="100,100" end="10,10"  time="400"
        reversible="false">hidden</animation>
      </control>
      <control>
        <description>group element</description>
          <type>group</type>
          <animation effect="zoom" start="10,10" end="100,100"  time="400"
        reversible="false">visible</animation>
       <animation effect="zoom" start="100,100" end="10,10"  time="400"
        reversible="false">hidden</animation>
          <posX>470</posX>
          <posY>185</posY>
          <layout>StackLayout</layout>
          <textalign>center</textalign>
          <visible>!Control.HasFocus(123)</visible>
      <control>
        <description>choose artist</description>
        <type>button</type>
        <id>15</id>
        <label>Artists</label>
        <onleft>123</onleft>
        <onright>123</onright>
        <onup>40</onup>
        <ondown>20</ondown>
      </control>
      <control>
        <description>choose tag</description>
        <type>button</type>
        <id>20</id>
        <label>Tags</label>
        <onleft>123</onleft>
        <onright>123</onright>
        <onup>15</onup>
        <ondown>30</ondown>
      </control>
      <control>
        <description>choose friend</description>
        <type>button</type>
        <id>30</id>
        <label>Friends</label>
        <onleft>123</onleft>
        <onright>123</onright>
        <onup>20</onup>
        <ondown>35</ondown>
      </control>
      <control>
        <description>toggle submit mode</description>
        <type>togglebutton</type>
        <id>35</id>
        <label>34014</label>
        <onleft>123</onleft>
        <onright>123</onright>
        <onup>30</onup>
        <ondown>40</ondown>
        <textYOff>5</textYOff>
        <textXOff>88</textXOff>
        <visible>true</visible>
      </control>
      <control>
        <description>toggle discovery mode</description>
        <type>togglebutton</type>
        <id>40</id>
        <label>34013</label>
        <onleft>123</onleft>
        <onright>123</onright>
        <onup>35</onup>
        <ondown>15</ondown>
        <textYOff>5</textYOff>
        <textXOff>88</textXOff>
        <visible>false</visible>
      </control>
    </control>
    </control>
    <control>
      <type>fadelabel</type>
      <description>track label</description>
      <id>0</id>
      <posX>350</posX>
      <posY>550</posY>
      <width>630</width>
      <height>25</height>
      <align>center</align>
      <label>#Play.Current.Title - #Play.Current.Artist</label>
      <font>font16</font>
      <visible>player.hasmedia</visible>
      <!-- <textcolor>80ffffff</textcolor> -->
      <disabledcolor>ff800000</disabledcolor>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>label</type>
      <description>stream label</description>
      <id>0</id>
      <posX>880</posX>
      <posY>185</posY>
      <width>400</width>
      <label>#Play.Current.Lastfm.CurrentStream</label>
      <font>font11</font>
      <align>center</align>
      <textcolor>80ffffff</textcolor>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>label</type>
      <description>track progress label</description>
      <id>0</id>
      <posX>922</posX>
      <posY>485</posY>
      <label>#currentplaytime</label>
      <font>font12</font>
      <align>left</align>
      <textcolor>80ffffff</textcolor>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <description>Progress Background</description>
      <type>image</type>
      <id>0</id>
      <posX>900</posX>
      <posY>466</posY>
      <width>350</width>
      <height>17</height>
      <texture>progress_back.png</texture>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
  </control>
    <control>
      <type>progress</type>
      <description>track progress</description>
      <id>118</id>
      <posX>900</posX>
      <posY>470</posY>
      <width>350</width>
      <height>18</height>
      <label>#percentage</label>
      <texturebg>-</texturebg>
      <lefttexture>osd_progress_left_big.png</lefttexture>
      <midtexture>osd_progress_mid_big.png</midtexture>
      <righttexture>osd_progress_right_big.png</righttexture>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>label</type>
      <description>track duration label</description>
      <id>0</id>
      <posX>1235</posX>
      <posY>485</posY>
      <label>#duration</label>
      <font>font12</font>
      <align>right</align>
      <textcolor>80ffffff</textcolor>
      <visible>player.hasmedia</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>label</type>
      <description>similar hint</description>
      <id>443</id>
      <posX>56</posX>
      <posY>200</posY>
      <label>34039</label>
      <font>font14</font>
      <align>left</align>
      <textcolor>ffffffff</textcolor>
      <visible>control.hastext(444)</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>textbox</type>
      <description>Similar artists box</description>
      <id>444</id>
      <posX>56</posX>
      <posY>240</posY>
      <width>250</width>
      <label>#Play.Current.Lastfm.SimilarArtists</label>
      <font>font12</font>
      <align>left</align>
      <textcolor>80ffffff</textcolor>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>label</type>
      <description>tag hint</description>
      <id>332</id>
      <posX>56</posX>
      <posY>370</posY>
      <label>34041</label>
      <font>font14</font>
      <align>left</align>
      <textcolor>ffffffff</textcolor>
      <visible>control.hastext(333)</visible>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>textbox</type>
      <description>Track tags box</description>
      <id>333</id>
      <posX>56</posX>
      <posY>410</posY>
      <width>300</width>
      <label>#Play.Current.Lastfm.TrackTags</label>
      <font>font12</font>
      <align>left</align>
      <textcolor>80ffffff</textcolor>
      <animation effect="fade" time="250">WindowOpen</animation>
      <animation effect="fade" time="250">WindowClose</animation>
    </control>
    <control>
      <type>listcontrol</type>
      <description>current playlist control</description>
      <id>123</id>
      <posX>400</posX>
      <posY>205</posY>
      <height>444</height>
      <width>470</width>
      <onup>10</onup>
      <onleft>15</onleft>
      <onright>123</onright>
      <font>font13</font>
      <font2>font13</font2>
      <font3>font13</font3>
      <textcolor2>80ffffff</textcolor2>
      <textXOff>10</textXOff>
      <textXOff2>45</textXOff2>
      <textXOff3>10</textXOff3>
      <textYOff>14</textYOff>
      <textYOff2>22</textYOff2>
      <textYOff3>22</textYOff3>
      <IconXOff>5</IconXOff>
      <keepaspectratio>no</keepaspectratio>
      <textureHeight>60</textureHeight>
      <itemHeight>50</itemHeight>
      <itemWidth>50</itemWidth>
      <spaceBetweenItems>3</spaceBetweenItems>
    </control>
  </controls>
</window>
